> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.finput.com.au/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.finput.com.au/_mcp/server.

# Update uplift (full)

PUT https://api.finput.com.au/api/v1/uplifts/{id}
Content-Type: application/json

Reference: https://docs.finput.com.au/api/endpoints/uplifts/update-uplift

## Authentication

- `Authorization` header (bearer token, required) — JWT access token obtained from `POST /api/v1/auth/login`, or a `finput_sk_...` API token

## Request

### Path parameters

- `id` (integer, required)

### Body (application/json)

This endpoint expects an UpliftCreateRequest.

- `uplift_name` (string, required)
- `product_id` (integer, optional)
- `rate_bracket_id` (integer, optional)
- `fields_name` (list of string, optional)
- `rate_change` (float, optional)
- `property_ownership_status` (boolean, optional)
- `asset_state` (enum, optional)
  - Allowed values: `new`, `used`, `demo`
- `min_asset_cost` (double, optional)
- `max_asset_cost` (double, optional)
- `min_asset_age` (integer, optional)
- `max_asset_age` (integer, optional)
- `min_abn_age` (integer, optional)
- `max_abn_age` (integer, optional)
- `min_gst_age` (integer, optional)
- `max_gst_age` (integer, optional)
- `min_term` (integer, optional)
- `max_term` (integer, optional)
- `min_credit_score` (integer, optional)
- `max_credit_score` (integer, optional)
- `min_asset_age_plus_term` (integer, optional)
- `max_asset_age_plus_term` (integer, optional)
- `private_sale` (boolean, optional)
- `sale_hire_back` (boolean, optional)
- `brokerage_loading_treatment` (float, optional)

## Response

### 200

Uplift updated

- `message` (string, optional)

## Examples

**Request**

```json
{
  "uplift_name": "Used Asset Premium"
}
```

**Response**

```json
{
  "message": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.finput.com.au/api/v1/uplifts/1"

payload = { "uplift_name": "Used Asset Premium" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.finput.com.au/api/v1/uplifts/1';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"uplift_name":"Used Asset Premium"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.finput.com.au/api/v1/uplifts/1"

	payload := strings.NewReader("{\n  \"uplift_name\": \"Used Asset Premium\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.finput.com.au/api/v1/uplifts/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"uplift_name\": \"Used Asset Premium\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.finput.com.au/api/v1/uplifts/1")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"uplift_name\": \"Used Asset Premium\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.finput.com.au/api/v1/uplifts/1', [
  'body' => '{
  "uplift_name": "Used Asset Premium"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.finput.com.au/api/v1/uplifts/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"uplift_name\": \"Used Asset Premium\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["uplift_name": "Used Asset Premium"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.finput.com.au/api/v1/uplifts/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```